Subject: 24.3.90; ediff-buffers fails when navigating differences
From: Kevin Gallagher <[email-masked]>
To: [email-masked]
Date: Tue, 15 Apr 2014 14:34:28 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Loaded shell script "stuff.sh" into lower buffer window and "stuff.sh~"
into uppper buffer window (files attached). Then entered command
"ediff-buffers". So far, so good. Then I press the "n" key to navigate
to first diff. This fails with a "Wrong type argument" error message
appearing in the *Messages* buffer window (see Recent Messages, below, for
full text of error message). If the files contain multiple diff 
sections, the *Messages* buffer window will contain multiple "Wrong type 
argument" error messages, one for each diff. I have only tested this on 
a Windows box, so I don't know if this is a Windows-specific problem or not.

In GNU Emacs 24.3.90.1 (i686-pc-mingw32)
  of 2014-04-14 on JANUS3
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
  `configure --prefix=/c/emacs-24.3.90 CPPFLAGS=-I/c/usr/include'

Important settings:
   value of $LANG: ENU
   locale-coding-system: cp1252

Major mode: Shell-script

Minor modes in effect:
   sh-electric-here-document-mode: t
   tooltip-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
C-x C-f <return> SPC SPC SPC SPC SPC SPC SPC SPC SPC
SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC SPC
SPC SPC SPC SPC SPC SPC SPC SPC SPC o C-x o SPC f <escape>
x e d i f f SPC b u f f SPC <return> <return> <return>
n q <switch-frame> y <help-echo> <escape> x r e p o
r t SPC e m a c SPC b u g SPC <return>

Recent messages:
Setting up indent for shell type sh
Indentation variables are now local.
Indentation setup for shell type sh
Computing differences between stuff.sh~ and stuff.sh ...
Buffer A: Processing difference region 0 of 1
Buffer B: Processing difference region 0 of 1
Processing difference regions ... done
Refining difference region 1 ...
ediff-set-fine-diff-properties: Wrong type argument: listp, [#<overlay 
from 61 to 61 in stuff.sh~>]
Quit this Ediff session? (y or n) y

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils ediff-merg ediff-wind ediff-diff
ediff-mult ediff-help ediff-init ediff-util ediff sh-script smie
executable dired time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win
w32-vars tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
w32notify w32 multi-tty emacs)

Memory information:
((conses 8 95845 6141)
  (symbols 32 19376 0)
  (miscs 32 53 170)
  (strings 16 17997 3675)
  (string-bytes 1 472952)
  (vectors 8 11826)
  (vector-slots 4 415291 4076)
  (floats 8 70 301)
  (intervals 28 806 524)
  (buffers 508 17))